This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 588851 - guestfs_launch() returns -1, but guestfs_last_error() == NULL
guestfs_launch() returns -1, but guestfs_last_error() == NULL
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: 588860
  Show dependency treegraph
 
Reported: 2010-05-04 13:43 EDT by Richard W.M. Jones
Modified: 2010-05-21 07:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 17:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-05-04 13:43:39 EDT
Description of problem:

When guestfs_launch() returns -1, guestfs_last_error()
can return NULL.  This produces errors from the Perl
bindings such as:

  (null) at virt-rescue line 146.

where virt-rescue:146 is the line containing $g->launch()

Version-Release number of selected component (if applicable):

libguestfs 1.3.9

How reproducible:

--?

Steps to Reproduce:
1. Run virt-rescue
2. In another window, kill the qemu process
3.
  
Actual results:

(null) at virt-rescue line 146.

Expected results:

A more useful error message.

Additional info:
Comment 2 Fedora Update System 2010-05-14 15:12:51 EDT
libguestfs-1.2.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.6-1.fc13
Comment 3 Fedora Update System 2010-05-17 08:28:07 EDT
libguestfs-1.2.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libguestfs-1.2.7-1.fc12
Comment 4 Fedora Update System 2010-05-17 08:47:54 EDT
libguestfs-1.2.7-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.7-1.el5
Comment 5 Fedora Update System 2010-05-17 09:00:21 EDT
libguestfs-1.2.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.7-2.fc13
Comment 6 Fedora Update System 2010-05-21 07:33:35 EDT
libguestfs-1.2.7-2.fc13.1 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.7-2.fc13.1

Note You need to log in before you can comment on or make changes to this bug.